%define nmversion 0.9.4.0
%define	rname	network-manager-applet

%define major_gtk	0
%define libnm_gtk		%mklibname nm-gtk %{major_gtk}
%define libnm_gtk_devel		%mklibname -d nm-gtk

%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:		networkmanager-applet
Summary:	Network connection manager applet for GNOME
Version:	0.9.8.0
Release:	%mkrel 1
Group:		System/Networking
License:	GPLv2+
URL:		http://www.gnome.org/projects/NetworkManager/
Source0:	http://download.gnome.org/sources/%{rname}/%{url_ver}/%{rname}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	libiw-devel
BuildRequires:	pkgconfig(gnome-bluetooth-1.0) >= 2.27.6
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.92
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.4
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(dbus-1) >= 1.2.6
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(NetworkManager) >= %{nmversion}
BuildRequires:	pkgconfig(libnm-glib) >= %{nmversion}
BuildRequires:	pkgconfig(libnm-util) >= %{nmversion}
BuildRequires:	pkgconfig(libnm-glib-vpn) >= %{nmversion}
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libnotify) >= 0.7
Requires:	networkmanager

%description
Network-manager-applet is a system tray applet which lets you easily
connect to different networks. It is created for GNOME's notification area
but it also works for other desktop environments which provide a system
tray like KDE or XFCE. It displays the available networks and allows to
easily switch between them. For encrypted networks it will prompt the user
for the key/passphrase and it can optionally store them in the
gnome-keyring.

%package -n	%{libnm_gtk}
Summary:	Shared library for nm-gtk
Group:		System/Libraries

%description -n	%{libnm_gtk}
This private package contains the libraries that make it easier to use
wireless and mobile dialogs.

%package -n	%{libnm_gtk_devel}
Summary:	Development files for nm-gtk
Group:		Development/C
Provides:	libnm-gtk-devel = %{version}-%{release}
Requires:	%{libnm_gtk} = %{version}-%{release}

%description -n %{libnm_gtk_devel}
Development files for nm-gtk.


%prep
%setup -q -n %{rname}-%{version}
%apply_patches

%build
%configure2_5x	--disable-static --disable-more-warnings
%make

%install
%makeinstall_std

# Remove .la files
find %buildroot -name *.la | xargs rm
%find_lang nm-applet


%files -f nm-applet.lang
%doc ChangeLog CONTRIBUTING
%{_bindir}/nm-connection-editor
%{_bindir}/nm-applet
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/applications/nm-applet.desktop
%{_iconsdir}/hicolor/*/apps/*
%dir %{_datadir}/nm-applet/
%{_datadir}/nm-applet/*.ui
%{_datadir}/nm-applet/*.png
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_libdir}/gnome-bluetooth/plugins/libnma.so
%{_libexecdir}/nm-applet-migration-tool
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*

%files -n %{libnm_gtk}
%{_libdir}/girepository-1.0/NMGtk-1.0.typelib
%{_libdir}/libnm-gtk.so.%{major_gtk}*
%{_datadir}/libnm-gtk/wifi.ui

%files -n %{libnm_gtk_devel}
%{_includedir}/libnm-gtk/nm-mobile-providers.h
%{_includedir}/libnm-gtk/nm-mobile-wizard.h
%{_includedir}/libnm-gtk/nm-ui-utils.h
%{_includedir}/libnm-gtk/nm-wireless-dialog.h
%{_includedir}/libnm-gtk/nm-wifi-dialog.h
%{_libdir}/pkgconfig/libnm-gtk.pc
%{_libdir}/libnm-gtk.so
%{_datadir}/gir-1.0/NMGtk-1.0.gir


%changelog

* Sat Feb 23 2013 tmb <tmb> 0.9.8.0-1.mga3
+ Revision: 400145
- fix BR on gobject-introspection
- BR gobject-introspection
- update filelists

  + ovitters <ovitters>
    - new version 0.9.8.0
    - new version 0.9.7.997

* Tue Jan 22 2013 fwang <fwang> 0.9.6.4-3.mga3
+ Revision: 390929
- update rpm group

  + ovitters <ovitters>
    - new version 0.9.7.995

* Sun Jan 13 2013 luigiwalser <luigiwalser> 0.9.6.4-2.mga3
+ Revision: 363919
- fix for changed _libexecdir

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 fwang <fwang> 0.9.6.4-1.mga3
+ Revision: 311403
- update file list

  + ovitters <ovitters>
    - new version 0.9.6.4

* Sat Aug 18 2012 kamil <kamil> 0.9.6.2-2.mga3
+ Revision: 281970
- rebuild against new libgnome-bluetooth.so lib

* Thu Aug 09 2012 ovitters <ovitters> 0.9.6.2-1.mga3
+ Revision: 280162
- new version 0.9.6.2
- new version 0.9.6.0

* Tue Jul 24 2012 ovitters <ovitters> 0.9.5.96-1.mga3
+ Revision: 274056
- new version 0.9.5.96
- drop merged patch
- new version 0.9.5.95

* Sat Mar 24 2012 ovitters <ovitters> 0.9.4.1-1.mga2
+ Revision: 226069
- drop merged patch0
- add upstream string format patch
- new version 0.9.4.1
- new version 0.9.4.0

* Mon Mar 19 2012 ovitters <ovitters> 0.9.3.997-1.mga2
+ Revision: 224394
- new version 0.9.3.997
- clean spec

* Fri Feb 17 2012 fwang <fwang> 0.9.3.990-1.mga2
+ Revision: 209997
- new version 0.9.3.990

* Thu Jan 19 2012 fwang <fwang> 0.9.2.0-3.mga2
+ Revision: 198060
- autoreconf is not needed
- rebuild for new gnome-bluetooth

* Tue Nov 22 2011 fwang <fwang> 0.9.2.0-2.mga2
+ Revision: 170814
- rebuild for new gnome-bluetooth

* Sat Nov 12 2011 fwang <fwang> 0.9.2.0-1.mga2
+ Revision: 166895
- disable warnings
- new version 0.9.2.0

* Wed Sep 28 2011 ovitters <ovitters> 0.9.1.90-1.mga2
+ Revision: 149979
- add new BR
- drop BR glade (not needed anymore
- new version 0.9.1.90

  + mikala <mikala>
    - Update tarball to final 0.9.0
    - use xz tarball from upstream

* Tue Jun 14 2011 mikala <mikala> 0.8.9997-1.mga2
+ Revision: 106220
- Update tarball to 0.8.9997
- Fix file list
- Add gtk+3.0-devel as BR

* Thu Apr 21 2011 mikala <mikala> 0.8.4-1.mga1
+ Revision: 89445
- Update tarball 0.8.4

* Thu Apr 14 2011 mikala <mikala> 0.8.3.999-1.mga1
+ Revision: 85246
- Update tarball to 0.8.4 rc2
- Fix files list

* Tue Mar 29 2011 mikala <mikala> 0.8.2-1.mga1
+ Revision: 78847
- imported package networkmanager-applet

